Skip to main content
GET
Get a purchase

Authorizations

Authorization
string
header
required

Clerk tenant API key. The organizationId encoded by the key is the exact and only tenant scope.

Path Parameters

purchaseId
string
required

Query Parameters

includeCodes
boolean
default:false

When true, includes fulfillment or voucher codes. Codes are excluded by default because they grant value.

Response

Tenant-scoped resource.

fulfillmentCodes is omitted unless includeCodes=true.

id
string
required

Stable encrypted public identifier. It does not contain the payment processor identifier.

purchasedAt
string<date-time>
required

UTC ISO 8601 timestamp.

amountCents
integer | null
required

Amount in integer cents.

refunded
boolean
required
purchaseKind
enum<string>
required
Available options:
membership,
single,
gift
itemName
string | null
required
email
string | null
required
phone
string | null
required
licensePlate
string | null
required
giftRecipientName
string | null
required
giftRecipientPhone
string | null
required
referralCode
string | null
required
redeemLocation
string | null
required
termsAcceptedAt
string<date-time> | null
required

UTC ISO 8601 timestamp.

utmSource
string | null
required
utmMedium
string | null
required
utmCampaign
string | null
required
utmTerm
string | null
required
utmContent
string | null
required
gclid
string | null
required
gbraid
string | null
required
wbraid
string | null
required
fbclid
string | null
required
referrer
string | null
required
landingUrl
string | null
required
fulfillmentCodes
string[]